AI Sync

Pipeline

List Pipeline Contacts

GEThttps://app.rizzdial.com/api/pipeline/{id}/contacts
List Pipeline Contacts
curl --request GET \
  --url 'https://app.rizzdial.com/api/pipeline/MQ==/contacts?stage_id=Mg%3D%3D&assigned_to=4&per_page=15&page=1' \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "records": [
      {
        "id": "NQ==",
        "stage": {
          "id": "Mg==",
          "stage_name": "New"
        },
        "first_name": "Ada",
        "pipe_stage_id": 2
      }
    ],
    "pagination": {
      "to": 1,
      "from": 1,
      "total": 1,
      "per_page": 15,
      "last_page": 1,
      "current_page": 1
    },
    "pipeline_id": "MQ==",
    "pipeline_name": "Sales"
  },
  "success": true
}

List Pipeline Contacts#

Returns contacts in this pipeline, paginated. Contact ids in the response are base64.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 pipeline id

stage_idstringquery

Base64 stage id. Omit to include every stage

assigned_tointegerquery

Filter by assigned user id

per_pageintegerquery

Rows per page. Default 15. Maximum 30

pageintegerquery

Page number. Default 1

curl --request GET \
  --url https://app.rizzdial.com/api/pipeline/MQ==/contacts?per_page=15 \
  --header 'Authorization: Bearer {{bearer_token}}'
data.recordsarray

Contacts with stage (id, stage_name, sorting_order)

data.paginationobject

total, current_page, per_page, last_page, from, and to

GET /api/pipeline/contacts?pipeline_id={id} is the same list.